%{!?scl:%global scl kepler}
%scl_package %scl

Summary: Package that installs %scl
Name: %scl_name
Version: 1
Release: 1%{?dist}
BuildArch: noarch
License: EPL
BuildRequires: scl-utils-build

%description
This is the main package for %scl Software Collection.

%package runtime
Summary: Package that handles %scl Software Collection.
Requires: scl-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.

%package build
Summary: Package shipping basic build configuration

%description build
Package shipping essential configuration macros to build %scl Software Collection.

%install
%define buildsubdir %{nil}

rm -rf %{buildroot}
mkdir -p %{buildroot}%{_scl_scripts}/root
cat >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH=%{_bindir}:\$PATH
EOF
%scl_install

cat >> %{buildroot}%{_root_sysconfdir}/rpm/macros.%{scl}-config <<\EOF
%%scl_maven_opts export MAVEN_OPTS="-Dmaven.local.jar.paths=%{_scl_root}/ \
							-Dmaven.local.pom.paths=%{_scl_root}/usr/share/maven-poms/ \
							-Dmaven.local.depmap.dir=%{_scl_root}/usr/share/maven-fragments/"
EOF

ln -s %{_scl_root}/usr/share/java/ JPP

%files

%files runtime
%scl_files

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config
%{_scl_root}/JPP

%changelog
* Tue Feb 12 2013 Krzysztof Daniel <kdaniel@redhat.com> 1-1
- Initial package.

